Skip to content
Start here

Update indicator feed metadata

client.Intel.IndicatorFeeds.Update(ctx, feedID, params) (*IndicatorFeedUpdateResponse, error)
PUT/accounts/{account_id}/intel/indicator-feeds/{feed_id}

Revises details for a specific custom threat indicator feed.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
feedID int64

Indicator feed ID

params IndicatorFeedUpdateParams
AccountID param.Field[string]

Path param: Identifier

maxLength32
Description param.Field[string]optional

Body param: The new description of the feed

IsAttributable param.Field[bool]optional

Body param: The new is_attributable value of the feed

IsDownloadable param.Field[bool]optional

Body param: The new is_downloadable value of the feed

IsPublic param.Field[bool]optional

Body param: The new is_public value of the feed

Name param.Field[string]optional

Body param: The new name of the feed

ReturnsExpand Collapse
type IndicatorFeedUpdateResponse struct{…}
ID int64optional

The unique identifier for the indicator feed

CreatedOn Timeoptional

The date and time when the data entry was created

formatdate-time
Description stringoptional

The description of the example test

IsAttributable booloptional

Whether the indicator feed can be attributed to a provider

IsDownloadable booloptional

Whether the indicator feed can be downloaded

IsPublic booloptional

Whether the indicator feed is exposed to customers

ModifiedOn Timeoptional

The date and time when the data entry was last modified

formatdate-time
Name stringoptional

The name of the indicator feed

Update indicator feed metadata

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/intel"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  indicatorFeed, err := client.Intel.IndicatorFeeds.Update(
    context.TODO(),
    int64(12),
    intel.IndicatorFeedUpdateParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", indicatorFeed.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 1,
    "created_on": "2023-05-12T12:21:56.777653Z",
    "description": "example feed description",
    "is_attributable": false,
    "is_downloadable": false,
    "is_public": false,
    "modified_on": "2023-06-18T03:13:34.123321Z",
    "name": "example_feed_1"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 1,
    "created_on": "2023-05-12T12:21:56.777653Z",
    "description": "example feed description",
    "is_attributable": false,
    "is_downloadable": false,
    "is_public": false,
    "modified_on": "2023-06-18T03:13:34.123321Z",
    "name": "example_feed_1"
  }
}